Subject: Re: 2.6.x with TQM860L

From: Pantelis Antoniou <[email-masked]>
Date: Mon, 11 Apr 2005 09:08:22 +0300

Karim Yaghmour wrote:
> I've been trying to get a 2.6.x kernel working with a TQM860L board
> with little success. I can get 2.6.11.6 to boot and _sometimes_ get
> to a shell, but most of the times it dies while starting init. From
> reading the archives, this looks very much like an SDRAM config issue
> (i.e. dies mostly when bursting.) Has anyone on this list got a
> 2.6.x kernel working with the TQM860L?
> 
> Thanks,
> 
> Karim

Karim hi

You need the following small patch.

For all the gory details follow the thread
   "8xx v2.6 TLB problems and suggested workaround"

Latest 2.6.12-rc2 works for me.

I don't know if there are any specific problems with TQM860L.

Please be aware that the serial driver has changed
     arch/ppc/8xx_io/uart.c -> drivers/serial/cpm_uart

Also if you use the FEC do give a whirl at drivers/net/fec_8xx.

Regards

Pantelis

--- linux-2.5/arch/ppc/mm/init.c	2005-04-01 13:33:07.000000000 +0300
+++ linux-2.5-intracom/arch/ppc/mm/init.c	2005-04-05 10:28:04.000000000 +0300
@@ -620,9 +620,10 @@
 		struct page *page = pfn_to_page(pfn);
 		if (!PageReserved(page)
 		    && !test_bit(PG_arch_1, &page->flags)) {
-			if (vma->vm_mm == current->active_mm)
-				__flush_dcache_icache((void *) address);
-			else
+			if (vma->vm_mm == current->active_mm) {
+				_tlbie(address);
+				__flush_dcache_icache((void *)address);
+			} else
 				flush_dcache_icache_page(page);
 			set_bit(PG_arch_1, &page->flags);
 		}